## org.eclipse.datatools.sqltools.result
Class ClassVersionIncompatibleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.ClassNotFoundException
                  org.eclipse.datatools.sqltools.result.ClassVersionIncompatibleException

All Implemented Interfaces:
  java.io.Serializable

    public class ClassVersionIncompatibleException

extends java.lang.ClassNotFoundException

Thrown when the version of ResultInstance class in history file is incompatible.

Author:
  juewu
See Also:
  Serialized Form

Constructor Summary
`ClassVersionIncompatibleException()`
`ClassVersionIncompatibleException(java.lang.String s)`
`ClassVersionIncompatibleException(java.lang.String oldVersion, java.lang.String currentVersion)`
`ClassVersionIncompatibleException(java.lang.String s, java.lang.Throwable ex)`

Method Summary

Methods inherited from class java.lang.ClassNotFoundException
`getCause, getException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassVersionIncompatibleException

    public ClassVersionIncompatibleException()

### ClassVersionIncompatibleException

    public ClassVersionIncompatibleException(java.lang.String s,
                                             java.lang.Throwable ex)

### ClassVersionIncompatibleException

    public ClassVersionIncompatibleException(java.lang.String s)

### ClassVersionIncompatibleException

    public ClassVersionIncompatibleException(java.lang.String oldVersion,
                                             java.lang.String currentVersion)